## org.codehaus.groovy.grails.web.pages
Class Reverse

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.Reverse

All Implemented Interfaces:
  CharSequence

     class Reverse

extends Object
implements CharSequence

NOTE: Based on work done by on the GSP standalone project (https://gsp.dev.java.net/) Utility class to reverse a char sequence.

Author:
  Troy Heninger Date: Jan 10, 2004

Constructor Summary
`Reverse(CharSequence text)`
`Reverse(CharSequence text, int start, int end)`

Method Summary
`char` `charAt(int index)`
`int` `length()`
`CharSequence` `subSequence(int start, int end)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Reverse

    Reverse(CharSequence text)

### Reverse

    Reverse(CharSequence text,
            int start,
            int end)

Method Detail

### charAt

    public char charAt(int index)

  Specified by:
    `charAt` in interface `CharSequence`

### length

    public int length()

  Specified by:
    `length` in interface `CharSequence`

### subSequence

    public CharSequence subSequence(int start,
                                    int end)

  Specified by:
    `subSequence` in interface `CharSequence`

### toString

    public String toString()

  Specified by:
    `toString` in interface `CharSequence`
  Overrides:
    `toString` in class `Object`

Copyright (c) 2005-2009 The Grails project